#include "system.h"

/*
  Class: frame
  Author: Charlie Thommas
  Date: 01/06/10 18.56
  Description: 
*/


      
static frame nullFrame;
   
      
uint32 frame::nextId=0;
      
      
frame::frame(){
               id=nextId;
               nextId++;
               refreshed=255;
               parent=0;
               for(int i=0;i!=128;i++)children[i]=0;
               status=0;
               width=height=top=left=zindex=0;
               }
      
frame::frame(frame* a_p, uint16 a_w=0, uint16 a_h=0, uint16 a_t=0, uint16 a_l=0, uint32 a_z=0){
               id=nextId;
               nextId++;
               refreshed=255;
               parent=a_p;
               for(int i=0;i!=128;i++)children[i]=0;
               status=0;
               
               width=a_w;
               height=a_h;
               top=a_t;
               left=a_l;
               
               zindex=a_z;
               return;
               }
