echo off

cd C:\Documents and Settings\Carlo\Desktop\code\new\

echo Now assembling, compiling, and linking smile:
nasm -f aout -o start.o start.asm
rem Remember this spot here: We will add 'gcc' commands here to compile C sources

gcc -o main.o -c main.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o mem.o -c mem.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o arch.o -c arch.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o idt.o -c idt.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o irq.o -c irq.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o isrs.o -c isrs.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o vga.o -c vga.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o console.o -c console.cpp -fomit-frame-pointer -Wall -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o vbe.o -c vbe.cpp -fomit-frame-pointer -Wall -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o pit.o -c pit.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o frame.o -c frame.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o mouseps2.o -c mouseps2.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

gcc -o floppy.o -c floppy.cpp -Wall -fomit-frame-pointer -nostdlib -fno-builtin -nodefaultlibs -fno-exceptions -fno-rtti 

ld -T link.ld
echo Cleaning up object files...
del *.o
echo Good...
copy kernel.bin a:\kernel.bin
pause