OUTPUT_FORMAT("binary")
ENTRY(start)


INPUT
(
	start.o
	main.o
	mem.o
	arch.o
	irq.o
	isrs.o
	idt.o
	console.o
	frame.o
	vga.o
	pit.o
	mouseps2.o
	floppy.o
)

OUTPUT(Kernel.bin)



SECTIONS
{
	. = 0xFF800000;
	/*. = 0x100000;*/

	.text :
	{
		code = .;
		*(.text*)
		*(.gnu.linkonce.t*)
	}

	.rodata :
	{
		*(.rodata*)
		*(.gnu.linkonce.r*)
	}
	
	.data :
	{
		start_ctors = .;
		*(.ctor*)
		end_ctors = .;

		start_dtors = .;
		*(.dtor*)
		end_dtors = .;
	
		*(.data*)
		*(.gnu.linkonce.d*)
	}

	.bss :
	{
		bss = .;
		*(.COMMON*)
		*(.bss*)
		*(.gnu.linkonce.b*)
	}
	
	 /DISCARD/ :
	 {
		*(.comment)
		*(.eh_frame) /* You should discard this unless you're implementing runtime support for C++ exceptions. */
	 }
	end = .;
}
