#include "system.h"

#define PRECAT(a,b) (#a)##(#b)

extern "C" void kernel()
{
    //System init
    vgaRoutinesFor(&System);
    mouseps2RoutinesFor(&System);   
       
    //Hardware init   
    idt_install();
    isrs_install();
    irq_install();
    timer_install();
    mouse_install();
    
    
    
    
    //Enable interrupt
    _STI_
    System.puts("\f");
    floppy_install();
    
    color a(126,0,255),b(77,70,129),c(255,0,0),d(0,255,0);
    
    System.print("\n\n\n\nCompiled at ", 0,0,c,d);
    System.print(__TIME__, strlen("Compiled at "),0,c,d);
    System.print(__DATE__, 80-strlen(__DATE__),0,c,d);
    
    System.puts("\nWelcome to the first version of the reformed Smile :)\n");


    uint8* sector=(uint8*)0x1000;
    
    
    	//! display sector
	if (read_block(0,sector)==0) {
                                 for(int i=0;i!=512;i++)System.puti(sector[i],16);
	}
	else
		System.puts("\n\r*** Error reading sector from disk");
 


     for (;;);
    return;
}
